$.jqplot.LogAxisRenderer

A plugin for a jqPlot to render a logarithmic axis.

To use this renderer, include the plugin in your source

>     <script type="text/javascript" language="javascript" src="plugins/jqplot.logAxisRenderer.js"></script>

and supply the appropriate options to your plot

>     {axes:{xaxis:{renderer:$.jqplot.LogAxisRenderer}}}

Summary

$.jqplot.LogAxisRenderer | A plugin for a jqPlot to render a logarithmic axis.
axisDefaults | Default properties which will be applied directly to the series.
Properties | Properties
tickRenderer | A class of a rendering engine for creating the ticks labels displayed on the plot, See $.jqplot.AxisTickRenderer.

### axisDefaults

Default properties which will be applied directly to the series.

### Properties

Properties

/ base | the logarithmic base, commonly 2, 10 or Math.E
tickDistribution | ’even’ or ‘power’. ‘even’ gives equal pixel spacing of the ticks on the plot. ‘power’ gives ticks in powers of 10.

### tickRenderer

A class of a rendering engine for creating the ticks labels displayed on the plot, See $.jqplot.AxisTickRenderer. this.tickRenderer = $.jqplot.AxisTickRenderer; this.labelRenderer = $.jqplot.AxisLabelRenderer;

A “tick” object showing the value of a tick/gridline on the plot.
Close